Autor Tópico: Fui obrigado a manter o windows! Revoltado!  (Lida 5096 vezes)

Offline rlsimoes

  • Usuário Ubuntu
  • *
  • Mensagens: 14
    • Ver perfil
Fui obrigado a manter o windows! Revoltado!
« Online: 07 de Outubro de 2011, 10:32 »
Senhores,

Bom dia.

Gostaria de postar meu depoimento e já adianto que vem carregado de revolta! E um pouquinho de expectativas não atendidas também, porém longe de classificá-las como decepções.

Em minha primeira postagem (http://ubuntuforum-br.org/index.php/topic,87628.0.html) já falei de uma dúvida sobre funcionalidades que para mim são fundamentais. Experimentei o Ubuntu 9.04 (creio que era isso...) e gostei muito. Decidi aguardar novas versões porque tive muitos problemas com rede (win X ubuntu) e wireless, além de problemas insolúveis (para mim) com o meu home-banking.

Após 2 anos de espera, voltei ao site de distribuição do Ubuntu, li tudo o que pude sobre a versão 11.04 e resolvi experimentar. Como estou muitíssimo decepcionado com o win (versão 7 ultimate), fiz back-up de tudo, chutei o balde e instalei o ubuntu por cima de tudo, apagando de vez o win 7.

Com a ajuda aqui do fórum e outros locais muito bons que encontrei na net, deixei o ubuntu praticamente perfeito, com quase tudo o que eu precisava. Postarei abaixo as maiores dificuldades, para compartilhar.

Mas me revoltei mesmo foi com problemas ainda insolúveis e que a culpa não é do ubuntu ou do linux, mas sim com a mentalidade tacanha de alguns administradores de rede! E sabem o que mais me revolta? os problemas que eu não consegui resolver são provocados pelo poder público! Querem ver?

Sou cliente da Caixa Econômica Federal. Já fui funcionário lá e por isso tenho vantagens que não me permitem trocar por outro banco. Mas para minha surpresa, todos os bancos experimentados (aqui em casa há diversas contas, em diversos bancos) funcionam perfeitamente no linux/ubuntu. Mas a CEF não funciona! E deixam claro no internet-banking que não há suporte para linux! O site é navegável, mas o home banking não! Ou seja, o banco do governo obriga a população a ter compromisso com a microsoft, ou a piratear...

E ainda: Em meu trabalho utilizo muito os sistemas disponibilizados pela empresa a fim de efetuar lançamentos de operações realizadas, relatórios, tramitações de documentos, etc. Mas também não funciona no linux, só no win! Como pode isso? A iniciativa privada oferece suporte a tudo e a todos! O governo federal, além de gastar uma fortuna mantendo suas redes windows, todas as estações e suas licenças (win, office, outlook, etc.), ainda não oferecem suporte nem mesmo aos seus funcionários que decidem não dar mais dinheiro à microsoft!

Não é revoltante? Se o governo federal, mais os estaduais e municipais, investissem em doações ao desenvolvimento dos softwares livres apenas 15% ou 20% do que gastam hoje com licenças microsoft, o pessoal que desenvolve estas ferramentas já teria tido condições de oferecer suporte a tudo e provavelmente os sistemas linux, bem como toda a comunidade open-source já estaria dando um banho na microsoft e cia ltda!

Fui obrigado a formatar minha máquina novamente e reinstalar o win7 em dual boot com o ubuntu...

Tô enfurecido com isso...

Mas gostaria ainda de compartilhar com vocês dificuldades que encontrei com o ubuntu e que acho que poderiam ser resolvidos de outra forma...

Mas não é nada que me faça desistir. Ainda mantenho a esperança de em breve poder manter apenas o linux como opção.

É isso.

Offline rlsimoes

  • Usuário Ubuntu
  • *
  • Mensagens: 14
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #1 Online: 07 de Outubro de 2011, 10:53 »
Agora posto minhas maiores dificuldades ou anseios, para comentários.

- Não consegui resolver os problemas citados acima, de acesso ao banco ou aos sistemas do trabalho, que só oferecem suporte à SOs win. Tentei instalar um plug-in indicado em outro fórum, que diz rodar "máquina internet explorer" dentro do Chrome. Instalei o Chrome, instalei o plugin, mas os sitemas do banco e os demais ainda reconhecem meu sistema como sendo linux. Tentei instalar o IE ( 7 e 8 ) através do Wine: consegui instalar os 2 com sucesso, mas como no caso anterior, o banco e os demais sistemas acessados ainda reconhecem meu sistema como linux. Então não é apenas uma questão de ter o IE instalado (uma porcaria, diga-se de passagem), mas não dá para enganar o banco...

- Quando instalei o ubuntu, ele instalou as atualizações e com elas um driver da minha placa de wireless (tenho um Dell 1525 com placa wireless Broadcom), e minha rede sem fio foi pro espaço. Encontrei uma dica aqui no fórum para desinstalar esse driver e deixar o genérico que vem por padrão, e isso resolveu tudo (estou usando rede sem fio no momento).

- Gosto muito do Pidgin e do Trunderbird, inclusive os utilizo no win7. Porém achei muito difícil (não consegui mesmo) instalar o pidgin no ubuntu, a não ser aquele que vem no Gerenciador de Pacotes Synaptic ou na Central de Programas. Mas estas versões são desatualizadas (no caso do thunderbird, muito desatualizadas) e como estou acostumado com as versões mais atuais no win7, gostaria de poder utilizá-las no ubuntu. Acho que os desenvolvedores destas programas estão realmente de parabéns pelo maravilhoso trabalho desenvolvido. Mas creio que se o pidgin precisa de tantos "pacotes" de dependências, eles deveriam vir por padrão, não acham? Tentei de tudo pelo terminal, mas são tantos pacotes a serem instalados, tantas dependências a serem resolvidas, que desisti. Estou usando a versão disponibilizada na Central de Programas. Vi até um comentário de um forista aqui que ficou indignado, dizendo "porque raios querem instalar pelo terminal se tem no Gerenciador?". Ora, é por isso: pelo terminal, teoricamente, instala-se a versão mais recente...

- O mesmo acontece com o Libre Office. A versão instalada tem bons recursos, mas a atual é melhor, e a dificuldade em trocar e atualizar é grande. Ainda não desisti...

- A rede win7 X Ubuntu (tem outros micros aqui em casa e o pessoal não quer sair do conhecido para experimentar algo novo...) só resolvi depois de muita batalha. Instalei e configurei o Samba, pus em prática todas as dicas que encontrei aqui no fórum (e foram muitas mesmo!), mas nada resolveu! Depois de muita batalha, encontrei esta dica aqui (http://www.hardware.com.br/artigos/servidor-rede-local/), e tudo se resolveu a contento! Ainda não tive a oportunidade de postar meu agradecimento naquele Site, apesar de o artigo ser de 2008...

Enfim. Adorei o Ubuntu, gostei muito da versão atual, apesar de ver por aqui muitos comentários sobre terem retornado à versão 10.10 que resolve muitos problemas... Eu, particularmente, não tive problemas insolúveis, a não ser aqueles que realmente não dependem da comunidade e sobre as atualizações e versões atuais, que creio serão resolvidas em breve...

E gostaria de deixar aqui meus agradecimentos gerais ao fórum! Aqui tem dicas e respostas para praticamente tudo! E mesmo quando não resolve, indicam o caminho das pedras, ensinam como "pensar" diferente do windows (o linux tem muito a ensinar, e é preciso mesmo paciência e dedicação), e sempre há uma indicação que "dá uma luz".

Parabéns a todos pelo fórum e pela disposição em compartilhar. Em breve espero que todos possamos esquecer de vez a microsoft e seus produtos.

Abraços a todos!

rlsimoes.
« Última modificação: 07 de Outubro de 2011, 11:02 por rlsimoes »

Offline Adriano R.N.

  • Usuário Ubuntu
  • *
  • Mensagens: 1.095
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #2 Online: 07 de Outubro de 2011, 15:32 »
Camarada, instalar pelo terminal / central / synaptic é a mesmca coisa, isso se estiver usando os repositórios, ou seja, usar sudo apt-get install (qualquer_que_seja_o_programa) é o mesmo que clicar nos outros instaladores.

Li em outro tópico seu que estás com o 11.04, se for verdade, é estranho a versão dos aplicativos ser tão desatualizada. Você mudou o repositório original? Acrescentou ppa?
As perguntas podem parecer bobas, mas uma vez testei o Fedora e ao ampliar o reposiório usei um mais antigo.

Se você não mudou a lista dos repositórios, o instalador do Ubuntu resolve as pendências sozinho.

A instalação via terminal muda de versão se for instalar pacotes específicos, por exemplo o libreoffice 3.4.3 baixado do site deles, no ubuntu 11.04 ou anteriores.

No próximo dia 13/10 será lançado o Ubuntu 11.10, com ele terás tudo que há de mais novo lançado até agora. (kernel, gnome, thunderbird, firefox...), Avalie a possibilidade de instalá-lo.
Boa sorte e Muito AXÉ!!!

Creto

  • Visitante
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #3 Online: 07 de Outubro de 2011, 15:40 »
Olá rlsimoes,

Parabéns pelo depoimento, quanto ao Internet Banking da CEF, já li aqui mesmo muitos dos relatos sobre o assunto e como eu mesmo não tenho nenhuma conta lá não dá para testar, mas creio que também deva ter lido outras mensagens/tópicos falando sobre o assunto.

Portanto, li você mencionando que o site é navegável, mas pergunto e desculpe-me a curiosidade, você chega até a tela de login do IB da CEF?



Uploaded with ImageShack.us

Offline jopeu

  • Usuário Ubuntu
  • *
  • Mensagens: 489
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #4 Online: 07 de Outubro de 2011, 18:06 »
Os únicos documentos que não consigo trabalhar no linux são os cdr do corel.

Todos os do word tem como ser usados no libreoffice e existem programas especiais para o asccess. Pode ter algum probleminha de adaptação, mas todos são utilizáveis com a vantagem que pode salvar em doc para o windows.

Eu uso o virtualbox com o windows7 dentro e trabalho perfeitamente com o corel e outros, muito mais pesados que os de escritório.

É realmente possível fazer confusão ao mudar de sistema, é preciso paciência e estudo. Mas tratando-se do linux vale a pena. Até a microsoft comprou um linux, o hedhat.

Offline rlsimoes

  • Usuário Ubuntu
  • *
  • Mensagens: 14
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #5 Online: 07 de Outubro de 2011, 19:24 »
Caro Adriano R.N.

Pode apostar que vou instalar a nova versão. Estou gostando muito do Ubuntu, e pretendo resolver meus problemas e ficar só com ele assim que possível. Quanto a mudar repositórios, instalar ppa, etc., ainda nem sei exatamente se compreendo tudo isso. Estou estudando, mas é tudo muito novo. Tenho uma noção muito boa e acredito que suficiente para não cometer grandes erros. Mas até onde sei, não realizei nenhuma mudança. O único repositório que "instalei" foi o atareao/atareao, para utilizar o my-weather-indicator. E as versões instaladas no 11.04 são as que eu mencionei mesmo, pois como eu apontei no depoimento, tive que instalar duas vezes e em ambas foram as mesmas versões. E o pidgin e thunderbird, pela Central ou pelo Synaptic, são versões bem defasadas.

Caro Creto

O site da CEF é todo navegável, acredito até que seja devido ao fato de que as páginas são .asp... Consigo sim chegar até a tela de login, inclusive fornecendo minhas credenciais de acesso - utilizando até o teclado virtual obrigatório. Mas daí em diante, quando deveria entrar na conta, recebo a mensagem de que não posso utilizar este computador porque o sistema ou navegador não possuem os requisitos para serem cadastrados (precisa cadastrar cada micro com o qual faço acesso). Hoje liguei no help desk da caixa a fim de tentar resolver, e descobri que na verdade não há suporte para o adicional de segurança (cadastro de todos os computadores nos quais eu faço acesso), mas que se eu optar por não cadastrar os computadores previamente, posso utilizar o internet banking. Então isto está resolvido!

Caro jopeu

Quando eu disse que não consigo realizar meus relatórios, não expliquei direito. Não estava me referidno a um tipo ou outro de arquivo. Na verdade, eu faço meus relatórios digitando-os diretamente no sistema da autarquia onde trabalho. Os sistemas disponibilizados pela empresa para utilização via internet é que não são compatíveis com linux, entende? Eu acesso os softwares onde deveria escrever meus relatórios, cadastrar meus serviços cumpridos, etc., mas é impossível utilizá-los, porque simplesmente as tabelas ficam deformadas e sobrepostas (totalmente ilegíveis), os formulários idem, ficam todos bagunçados, com os campos sobrepostos e fora de ordem, um verdadeiro caos! Ou seja, foi tudo construído para IE e se eu quiser acessar, preciso do win. Tentei acessar pelo IE 7 e 8, através do Wine, mas não adiantou: ou não abre (no 8 não abriu) ou fica uma bagunça (abriu no 7 mas ficou com letras tão miudinhas que ficou impossível de trabalhar. E não sei se é o meu Wine que está com probelams, mas ele instalou o IE, ambos, sem barra de menus e sem acesso às ferramentas, portanto ampliar a vizualização ficou impossível (ou eu é que não encontrei, sei lá... Mas procurei pra caramba!).

Então é isso. Aos pocucos vou resolvendo as pendências e logo abandono de vez esta empresa de um homem só!

E não é por nada não... Mas na verdade, acho que o Bill Gates já ganhou o suficiente para várias encarnações! Poderia abrir completamente o código do windows, entregar tudo à comunidade open surce e ter um gesto de grandeza e humanidade, transformando a internet em um instrumento de acesso, inclusao e socialização. Mas como sei que é utopia, vamos apoiar o software livre, aplicar os recursos que pudermos e somar esforças, que em breve simplesmente não precisaremos mais desse sujeito e sua empresa.

Afinal, pelo que tenho visto estes dias, falta pouco!

É isso!

Offline xluisfernando

  • Usuário Ubuntu
  • *
  • Mensagens: 847
  • Linux user #532810
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #6 Online: 07 de Outubro de 2011, 19:47 »
Eu uso Mac e Linux e acesso o internet banking da caixa numa boa. No começo, quando exterminei o windows, não funcionava. Pesquisei então e descobri que era possível liberar o acesso ligando para o banco, pelo 0800. Conversei com o atendente, que tentou me convencer das vantagens do módulo de segurança do windows e no fim me disse: "Quando o Sr. fez o cadastro no internet banking aceitou a restrição do acesso ao computador cadastrado e com sistema windows."

Então, eu respondi: "E eu não tenho o direito de me arrepender disso?"

Por fim, o atendente mudou algo no sistema da caixa e passei a ter acesso ao internet banking de qualquer computador ou sistema.

Sobre os documentos de escritório, com exceção do famigerado docx, nunca tive nenhum problema, usando o LibreOffice.
Netbook Asus EeePC1000HA - Lubuntu 16.04LTS - i386

Offline linuser104

  • Usuário Ubuntu
  • *
  • Mensagens: 838
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #7 Online: 07 de Outubro de 2011, 20:19 »
Para usar o pidgin mais recente basta instalar um repositório ppa do seu desenvolvedor, para maiores detalhes:

http://www.pidgin.im/download/ubuntu/

pelo que entendi você baixa um pacote .deb chamado de pidgin-ppa_0.0.5_all.deb que se instala com um clique duplo sobre o .deb baixado. Ele se encarrega de adicionar o repositório ppa e depois é só usar o comando:

sudo apt-get update

para atualizar o banco de dados dos repositórios e depois é só verificar no gerenciador de atualizações, uma sobre o pidgin. Atenção só mostrará a atualização do pidgin se ele já estiver instalado, caso contrário você tem de usar o comando de instalação para o pidgin que ele instala a versão mais recente.
« Última modificação: 07 de Outubro de 2011, 20:23 por linuser104 »
Linux = Quem realmente gosta de computador; Mac = Artista Digital; Windows = A maioria que votou no Tiririca [pior que tá não fica].

Offline Ioca100

  • Usuário Ubuntu
  • *
  • Mensagens: 2.852
  • Rio,Brasil
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #8 Online: 07 de Outubro de 2011, 21:27 »
"Ou seja, foi tudo construído para IE e se eu quiser acessar, preciso do win. Tentei acessar pelo IE 7 e 8, através do Wine, mas não adiantou:"
Tenta esse addon do Firefox:   https://addons.mozilla.org/en-US/firefox/addon/user-agent-switcher/
Você marca IE em Ferramentas>default user agent>Internet Explorer
Usuário Linux- 449417

Offline xluisfernando

  • Usuário Ubuntu
  • *
  • Mensagens: 847
  • Linux user #532810
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #9 Online: 07 de Outubro de 2011, 22:36 »
"Ou seja, foi tudo construído para IE e se eu quiser acessar, preciso do win. Tentei acessar pelo IE 7 e 8, através do Wine, mas não adiantou:"
Tenta esse addon do Firefox:   https://addons.mozilla.org/en-US/firefox/addon/user-agent-switcher/
Você marca IE em Ferramentas>default user agent>Internet Explorer

Não necessariamente. Não me lembro agora qual, mas já acessei páginas em que se dizia que para melhor visualização era preciso usar o firefox.

As pessoas se esquecem que hoje tudo está sendo planejado e portado para uso em celular e nesse sentido, o que é o Android? Uma distribuição Linux.

Estava lendo a respeito do Ubuntu 11.10 e uma das ferramentas disponíveis é o teclado virtual touch. Por que será?

O tempo do Windows já passou e só não percebe isso quem não tem amplitude para aprender e entender coisas novas.
Netbook Asus EeePC1000HA - Lubuntu 16.04LTS - i386

Offline jopeu

  • Usuário Ubuntu
  • *
  • Mensagens: 489
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #10 Online: 08 de Outubro de 2011, 06:42 »
Pelo que vc me falou a empresa dispoe os formularios pela internet. Assim que sendo via web?

Se for o caso, existe a codificação, utf8, iso59..-1, etc algumas vezes quando instalamos ou por cds de instalação com md5sum dando erro, podem acontecer esse tipo de coisas.

Se o sistema esta na web, com certeza usa apache, que é linux.

Sobre liberar o codigo fonte do windows, acabaria com o windows, pois ninguem mais usaria. Ele muito ruim se comparamos com unix.
O windows é mantido com marketing corrupto, pagando "gorjetas", manipulando e comprando empresas como a corel, para eliminar o projeto do corel linux, etc.

Por isso eu pessoalmente uso linux e virtualbox. O outro sistema MAC, usa um kernel unix ou linux, não sei, pois fam muito. Mas em definitiva é praticamente a mesma coisa.

Sugiro a vc que coloque momentaneamente os dois sistemas:

Faça com o iso do gparted que vc pega na web:


para o xp 60g
para o / do ubuntu 30g
para o home do ubuntu o restante menos o swap
para swap 3g

Depois de deixar o sistema preparado vc instala o xp
Depois instala o ubuntu, mas tenha cuidado de ler as mensagens, especialmente na hora do grub, que vc deve instalar na mbr

boa sorte

Offline rlsimoes

  • Usuário Ubuntu
  • *
  • Mensagens: 14
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #11 Online: 08 de Outubro de 2011, 14:38 »
Boa tarde,

Pois é, xluisfernando!

Ontem me deu essa luz também, e liguei no 0800 da Caixa. Tive a sorte de ser atendido por um técnico mais consciente, que de cara me disse que o linux não é o problema, mas sim a minha opção inicial em utilizar o adicional de segurança, que me obriga a cadastrar previamente os computadores de onde acessaria minha conta. Se abrir mão deste adicional de segurança, que só funciona com windows, não haveria mais restrição.

Nem preciso dizer que cancelei o adicional na hora, não é? Quer dizer, depois de responder uma centena de perguntas de segurança... eh eh

É isso aí. Fica a dica para quem é cliente Caixa!

Quanto à dica do jopeu sobre a codificação, estou tentando analisar todas as possibilidades e vou incluir esta. Assim que tiver sucesso na resolução do problema do acesso aos sistemas da empresa, postarei aqui. Afinal, tenho certeza que é questão de tempo!

Abçs.

Offline Pedru

  • Usuário Ubuntu
  • *
  • Mensagens: 232
    • Ver perfil
    • Livre Linux
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #12 Online: 08 de Outubro de 2011, 18:05 »
Eu acho lamentável essa situação (apesar do governo incentivar o uso de alguns programas Software Livre (por exemplo, o INSS utiliza agora o BrOffice.org, não o Microsoft Office) e da Presidenta Dilma Rousseff utilizar Ubuntu como sistema operacional) que eles acabam favorecendo um sistema operacional em questão sendo que eles podem fazer com que todos os sistemas operacionais possam acessar determinada página.

Fora ao Monopólio da Microsoft!

clodoaldops

  • Visitante
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #13 Online: 08 de Outubro de 2011, 18:52 »
Eu tbem sou "obrigado" a deixar o windows mas por um motivo nobre: minha fofinha pediu pra mim! ;D

Offline rlsimoes

  • Usuário Ubuntu
  • *
  • Mensagens: 14
    • Ver perfil
Re: Fui obrigado a manter o windows! Revoltado!
« Resposta #14 Online: 13 de Outubro de 2011, 13:23 »
Boa tarde,

Ainda não consegui resolver o problema dos sistemas do meu trabalho.

Tentei o addon indicado pelo loca100 (obrigado pela dica) e também tentei outros addons da mesma categoria.

Nenhum deles funciona com https (aparentemente, a segurança ssl envolvida não permite a renderização correta com estas addons).

Portanto, continuo pesquisando. Se alguém tiver outra idéia, agradeço.

Ah... Também experimentei todas as codificações possíveis (descobri até codificações em chinês ... eh eh), mas também não resolveu.

É isso. Sigo, por enquanto, em dual boot, só por causa disso...

Abçs.

« Última modificação: 18 de Outubro de 2011, 14:20 por rlsimoes »